problem with php4.3.2 and mysql4.1 on windows

Forum for you who has PHP installation issues

Moderators: macek, egami, gesf

snoopyxp
New php-forum User
New php-forum User
Posts: 2
Joined: Sun Jul 20, 2003 11:43 pm
Contact:

problem with php4.3.2 and mysql4.1 on windows

Postby snoopyxp » Sun Jul 20, 2003 11:51 pm

I downloaded the binaries of php4.3.2 for windows from php.net
, but I found that its mysql client api version is 3.2X which is not surported by mysql4.1.
Does anybody know where I can find the binaries compiled with
mysql4.1.
thx.

Romantik
New php-forum User
New php-forum User
Posts: 67
Joined: Mon Feb 24, 2003 2:55 am
Location: ../Ukraine/Kherson
Contact:

Postby Romantik » Mon Jul 21, 2003 1:01 am

Because MySQL 4x doesn't include in PHP5 from for licensing GPL but not LGPL. из за

User avatar
WiZARD
Moderator
Moderator
Posts: 1257
Joined: Thu Jun 20, 2002 10:14 pm
Location: Ukraine, Crimea, Simferopol
Contact:

Re: problem with php4.3.2 and mysql4.1 on windows

Postby WiZARD » Mon Jul 21, 2003 3:42 am

get source code of PHP, Edit code (if you know C)and rebuild......

User avatar
swirlee
Moderator
Moderator
Posts: 2272
Joined: Sat Jul 05, 2003 1:18 pm
Location: A bunk in the back
Contact:

Postby swirlee » Mon Jul 21, 2003 6:14 am

You won't have to edit any C as WiZARD suggests, but you will have to recompile, and the current code appears to be experimental. Have a look at this page for more information.

Your other option, since you're using an Alpha version of MySQL which you shouldn't be using in production anyway, is to use the Beta version of PHP5. It'll save you a recompile.

User avatar
WiZARD
Moderator
Moderator
Posts: 1257
Joined: Thu Jun 20, 2002 10:14 pm
Location: Ukraine, Crimea, Simferopol
Contact:

Postby WiZARD » Tue Jul 22, 2003 12:15 am

but, don't forget you doing that at you own risk - experimental...

snoopyxp
New php-forum User
New php-forum User
Posts: 2
Joined: Sun Jul 20, 2003 11:43 pm
Contact:

thanks

Postby snoopyxp » Tue Jul 22, 2003 8:45 am

how can I compile php with mysql on windows,
what complier do I need ?

User avatar
swirlee
Moderator
Moderator
Posts: 2272
Joined: Sat Jul 05, 2003 1:18 pm
Location: A bunk in the back
Contact:

Re: thanks

Postby swirlee » Tue Jul 22, 2003 10:21 am

snoopyxp wrote:how can I compile php with mysql on windows,
what complier do I need ?


Don't take this the wrong way, snoopyxp, but if you have to ask this question, then I can't recommend that you try it. There's no practical reason for you to be using an alpha release of MySQL, and doing so will, at least at this point in your learning, offer you no advantage.

In other words, go download the latest production release of MySQL (currently 4.0.14), install it, and forget about alpha versions or recompiling.

If you're really convinced that you have a logical reason to do otherwise, I'm compelled to direct you to the all-knowing oracle.


Return to “PHP Installation”

Who is online

Users browsing this forum: No registered users and 1 guest

cron